<?php
/*
Plugin Name: WP-Stats-Dashboard
Plugin URI: http://www.daveligthart.com
Description: Displays the WordPress.com STATS graph directly in your Dashboard. No more tiresomely opening the Blog Stats tab and manually logging in.
Version: 1.1
Author: Dave Ligthart
Author URI: http://www.daveligthart.com
*/
include_once(dirname(__FILE__) . '/classes/util/WPSDUtils.php');
include_once(dirname(__FILE__) . '/classes/model/WPSDAdminConfigForm.php');
include_once(dirname(__FILE__) . '/classes/util/WPSDWPPlugin.php');
include_once(dirname(__FILE__) . '/classes/action/WPSDAdminAction.php');
include_once(dirname(__FILE__) . '/classes/action/WPSDAdminConfigAction.php');
include_once(dirname(__FILE__) . '/classes/action/WPSDFrontEndAction.php');

/**
 * WP STATS dashboard main.
 * @author dligthart <info@daveligthart.com>
 * @version 1.1
 * @package wp-stats-dashboard
 */
class WPSDMain extends WPSDWPPlugin {

	/**
	 * @var AdminAction admin action handler
	 */
	var $adminAction = null;

	/**
	 * @var FrontEndAction frontend action handler
	 */
	var $frontEndAction = null;

	 /**
	  * __construct()
	  */
	function WPSDMain($path) {
		$this->register_plugin('wp-stats-dashboard', $path);
		if (is_admin()) {
			$this->adminAction = new WPSDAdminAction($this->plugin_name, $this->plugin_base);
		} else {
			$this->frontEndAction = new WPSDFrontEndAction($this->plugin_name, $this->plugin_base);
	 	}
	}
}

$wp_stats_dashboard = new WPSDMain(__FILE__);
?>